Bug 863403 - FTBFS: failing in building in %check with wrong CFLAGS
FTBFS: failing in building in %check with wrong CFLAGS
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: http-parser (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: T.C. Hollingsworth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-05 07:38 EDT by Matěj Cepl
Modified: 2018-04-11 02:58 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-01-11 18:29:54 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
suggested patch (2.02 KB, patch)
2012-10-05 07:38 EDT, Matěj Cepl
no flags Details | Diff

  None (edit)
Description Matěj Cepl 2012-10-05 07:38:54 EDT
Created attachment 622120 [details]
suggested patch

Description of problem:
http://koji.fedoraproject.org/koji/taskinfo?taskID=4562219

+ make -j4 'CC=gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -fsigned-char -fPIC' test
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -fsigned-char -fPIC -O0 -g -Wall -Wextra -Werror -I. -c http_parser.c -o http_parser_g.o
gcc -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4  -m64 -mtune=generic -fsigned-char -fPIC -O0 -g -Wall -Wextra -Werror -I. -c test.c -o test_g.o
In file included from /usr/include/sys/types.h:25:0,
                 from ./http_parser.h:30,
                 from http_parser.c:21:
/usr/include/features.h:330:4: error: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Werror=cpp]In file included from /usr/include/sys/types.h:25:0,
                 from http_parser.h:30,
                 from test.c:21:
/usr/include/features.h:330:4: error: #warning _FORTIFY_SOURCE requires compiling with optimization (-O) [-Werror=cpp]

which is caused by Makefile ignoring CFLAGS environmental variables.

There seem to be two possible ways of fixing this problem. Either fix Makefile so it doesn't ignore CFLAGS (see the attached patch which does this), or just upgrade the source to the latest master.
Comment 1 Fedora Admin XMLRPC Client 2012-10-10 09:40:57 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 2 T.C. Hollingsworth 2012-10-13 17:22:57 EDT
http-parser will be updated to the latest upstream release (2.0) in Rawhide and F18.

Note that %check is still failing (and thus is disabled), but this time it's upstream's fault, not ours.  ;-)
Comment 3 Fedora Update System 2012-10-13 17:36:40 EDT
http-parser-2.0-1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/http-parser-2.0-1.fc18
Comment 4 Fedora Update System 2012-10-14 16:10:34 EDT
Package http-parser-2.0-1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing http-parser-2.0-1.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16101/http-parser-2.0-1.fc18
then log in and leave karma (feedback).
Comment 5 T.C. Hollingsworth 2012-11-27 18:34:55 EST
Status updates:

Upstream has fixed the original test failure but now there seems to be a buffer overflow related to %optflags addition of FORTIFY_SOURCE:
https://github.com/joyent/http-parser/issues/136
Comment 6 Fedora Update System 2012-11-27 21:06:13 EST
Package http-parser-2.0-2.20121110git245f6f0.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing http-parser-2.0-2.20121110git245f6f0.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16101/http-parser-2.0-2.20121110git245f6f0.fc18
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2012-12-03 16:38:46 EST
Package http-parser-2.0-3.20121128gitcd01361.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing http-parser-2.0-3.20121128gitcd01361.fc18'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-16101/http-parser-2.0-3.20121128gitcd01361.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2013-01-11 18:29:56 EST
http-parser-2.0-3.20121128gitcd01361.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.